#software-buttons,
#software-buttons-fullscreen-layout {
  display: flex;
  align-items: center;
  text-align: center;
  right: 0;
  /* modified by tcl_chenguoqiang for emulator software button */
  bottom: calc(var(--software-home-button-height) * -3);
  left: 0;
  position: fixed;
  height: calc(var(--software-home-button-height) * 3);
  /* modified end */
  transition-duration: 0.4s;
  transition-timing-function: ease-in-out;
  visibility: hidden;
  background: black;
}

#software-buttons.no-transition {
  transition: none;
}

#screen:not(.locked) #software-buttons.visible,
#screen.locked.attention #software-buttons.visible,
#screen.locked.secure-app #software-buttons.visible {
  transform: translateY(-100%);
  visibility: visible;
}

#screen.locked.attention #software-buttons.visible.attention-lockscreen {
  visibility: hidden;
}

#software-buttons-fullscreen-layout {
  bottom: 0;
}

#screen.software-button-enabled.fullscreen-layout-app:not(.locked) #software-buttons-fullscreen-layout,
#screen.software-button-enabled.fullscreen-layout-app.locked.secure-app #software-buttons-fullscreen-layout {
  visibility: visible;
}

#screen.fullscreen-layout-app #software-buttons {
  visibility: hidden;
}

#screen.fullscreen-layout-app #software-buttons-fullscreen-layout.hidden {
  opacity: 0;
}

@media (orientation: landscape) {
  #software-buttons,
  #software-buttons-fullscreen-layout {
    top: 0;
    right: calc(var(--software-home-button-height) * -1);
    bottom: 0;
    left: auto;
    width: var(--software-home-button-height);
    height: auto;
  }

  #software-buttons-fullscreen-layout {
    right: 0;
  }

  #screen:not(.locked) #software-buttons.visible,
  #screen.locked.secure-app #software-buttons.visible {
    transform: translateX(-100%);
  }
}

#software-home-button,
#fullscreen-software-home-button,
#fullscreen-layout-software-home-button {
  --button-width: 2.6rem;
  width: var(--button-width);
  height: var(--button-width);
  margin: 0 auto;
  background: transparent;
  border: 0;
  outline-width: 0.35rem;
  outline-style: solid;
  outline-color: #ffffff;
  outline-offset: -0.35rem;
  -moz-outline-radius: 50%;
  box-sizing: border-box;
  /* modified by tcl_chenguoqiang for emulator software button */
  display: none;
}

#fullscreen-software-home-button,
#fullscreen-layout-software-home-button {
  opacity: 0.8;
  box-shadow: 0 1px 5px 0 rgba(0, 0, 0, 0.45), inset 0 1px 5px 0 rgba(0, 0, 0, 0.45);
}

#software-home-button.active,
#fullscreen-software-home-button.active,
#fullscreen-layout-software-home-button.active {
  outline-color: #00caf2;
}

#fullscreen-software-home-button {
  position: absolute;
  bottom: 0.5rem;
  left: calc(50% - var(--button-width) / 2);
  opacity: 0.5;
  visibility: hidden;
}

#screen.software-button-enabled:not(.fullscreen-layout-app):not(.locked):-moz-full-screen-ancestor #fullscreen-software-home-button,
#screen.software-button-enabled.locked.secure-app:not(.fullscreen-layout-app):-moz-full-screen-ancestor #fullscreen-software-home-button {
  visibility: visible;
}

@media (orientation: landscape) {
  #fullscreen-software-home-button {
    top: auto;
    left: auto;
    right: 0.5rem;
    bottom: calc(50% - var(--button-width) / 2);
  }
}

#screen:not(.fullscreen-layout-app) #software-buttons-fullscreen-layout {
  visibility: hidden;
}
